Package org.opentcs.customizations

# Class ConfigurableInjectionModule

java.lang.Object
com.google.inject.AbstractModule
org.opentcs.customizations.ConfigurableInjectionModule

All Implemented Interfaces:
  `com.google.inject.Module`

Direct Known Subclasses:
  `ControlCenterInjectionModule`, `KernelInjectionModule`, `PlantOverviewInjectionModule`

    public abstract class ConfigurableInjectionModule
    extends com.google.inject.AbstractModule

A base class for Guice modules adding or customizing bindings for the kernel application and the plant overview application.

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ConfigurableInjectionModule()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `org.opentcs.configuration.ConfigurationBindingProvider` | `getConfigBindingProvider()` | Returns the configuration bindung provider.
  `void` | `setConfigBindingProvider​(org.opentcs.configuration.ConfigurationBindingProvider configBindingProvider)` | Sets the configuration binding provider.

  ### Methods inherited from class com.google.inject.AbstractModule

  `addError, addError, addError, bind, bind, bind, bindConstant, binder, bindInterceptor, bindListener, bindListener, bindScope, configure, configure, convertToTypes, currentStage, getMembersInjector, getMembersInjector, getProvider, getProvider, install, requestInjection, requestStaticInjection, requireBinding, requireBinding`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ConfigurableInjectionModule

    public ConfigurableInjectionModule()

- ## Method Details

  - ### getConfigBindingProvider

    public org.opentcs.configuration.ConfigurationBindingProvider getConfigBindingProvider()
    Returns the configuration bindung provider.
    Returns:
      The configuration binding provider.

  - ### setConfigBindingProvider

    public void setConfigBindingProvider​(org.opentcs.configuration.ConfigurationBindingProvider configBindingProvider)
    Sets the configuration binding provider.
    Parameters:
      `configBindingProvider` - The new configuration binding provider.